<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="DOWNLOADABLE-CONTENT-PAGE">
		<script type="text/javascript" src="/modules/DownloadableContent/js/settings.js?{$version}.{$build}"></script>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				self.sbNavigationObject.registerOnSubmitFunction(validateEditForm);
			//</xsl:comment>
		</script>
		<xsl:apply-templates select="SETTINGS"/>
	</xsl:template>

	<xsl:template match="DOWNLOADABLE-CONTENT-PAGE/SETTINGS">
		<fieldset class="sb-form-fieldset">
			<table cellspacing="0" cellpadding="0" border="0" style="border-collapse:collapse;width:100%;">
				<xsl:apply-templates select="DOWNLOAD"/>
			</table>

			<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
				<tr>
					<td class="title-block">
						<xsl:apply-templates select="CONTROL[@NAME='file_name']" mode="label"/>
					</td>
					<td class="input-block">
						<xsl:apply-templates select="CONTROL[@NAME='file_name']" mode="control">
							<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
						</xsl:apply-templates>
					</td>
					<td></td>
				</tr>
				<tr>
					<td class="title-block">
						<xsl:apply-templates select="CONTROL[@NAME='open_in_browser']" mode="label"/>
					</td>
					<td class="input-block">
						<xsl:apply-templates select="CONTROL[@NAME='open_in_browser']" mode="control">
							<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
						</xsl:apply-templates>
					</td>
					<td></td>
				</tr>
				<tr>
					<td class="title-block">
						<xsl:call-template name="LABEL" mode="label">
							<xsl:with-param name="id">uploadInput</xsl:with-param>
							<xsl:with-param name="title" select="UPLOAD/@TITLE"/>
						</xsl:call-template>
					</td>
					<td class="input-block">
						<input type="hidden" id="upload_clicked" name="upload_clicked" value="false"/>
						<input type="hidden" name="MAX_FILE_SIZE">
							<xsl:attribute name="value"><xsl:value-of select="UPLOAD/@MAX-FILE-SIZE"/></xsl:attribute>
						</input>
						<xsl:call-template name="INPUT" mode="control">
							<xsl:with-param name="id">uploadInput</xsl:with-param>
							<xsl:with-param name="name" select="UPLOAD/@NAME"/>
							<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
							<xsl:with-param name="type">file</xsl:with-param>
						</xsl:call-template>
					</td>
					<td>
						<xsl:apply-templates select="UPLOAD/CONTROL[@NAME='uploadButton']">
							<xsl:with-param name="action">javascript:submitForUpload();</xsl:with-param>
							<xsl:with-param name="style">width: 100px;</xsl:with-param>
						</xsl:apply-templates>
					</td>
				</tr>
			</table>

		</fieldset>
		<xsl:call-template name="REQUIRED-FIELDS"/>
	</xsl:template>

	<xsl:template match="DOWNLOADABLE-CONTENT-PAGE/SETTINGS/DOWNLOAD">
		<tr>
			<td colspan="2">
				<xsl:value-of select="@SIZE"/>&#160;
				<a id="downloadableContentDownloadLink" href="#">
					<xsl:attribute name="onclick">download('<xsl:value-of select="@ACTION"/>');</xsl:attribute>
					<xsl:value-of select="@TITLE"/>
				</a>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<br/>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>